## com.baidubce.services.media.model
Class GetThumbnailJobRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.GetThumbnailJobRequest

    public class GetThumbnailJobRequest

extends AbstractBceRequest

Constructor Summary
`GetThumbnailJobRequest()`

Method Summary
`String` `getJobId()`
`void` `setJobId(String jobId)`
`GetThumbnailJobRequest` `withJobId(String jobId)`
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetThumbnailJobRequest

    public GetThumbnailJobRequest()

Method Detail

### getJobId

    public String getJobId()

### setJobId

    public void setJobId(String jobId)

### withJobId

    public GetThumbnailJobRequest withJobId(String jobId)

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.